Skip to main content

Recipients

Recipient APIs expose the Recipients service: intra-FI saved payees for the authenticated user. Use them to list, create, update, and delete recipients (and to validate a recipient before posting a transfer). They complement the Transfers APIs—define who can be paid, then initiate movement to that payee.

End-user benefits

  • Manage a list of trusted recipients for quick transfers.

Integration capabilities

  • Manage transfer recipients (create, retrieve, update, delete).
  • Validate recipients before initiating transfers.

Scopes

ScopeDescription
recipients:readRead recipient information
recipients:writeCreate, update, and delete recipients
recipients:deleteDelete recipients

Required headers

HeaderDescription
AuthorizationBearer token (V2 authentication)
transactionIdUnique identifier for request tracking

Error codes (REC_*)

CodeMessageHTTP Status Code
REC_10005User not found at host400
REC_10006Invalid passcode400
REC_10007Invalid account400
REC_10008Test lucky transfer failed500
REC_10009Invalid query param400
REC_11001Full authentication was not provided in the request401
REC_11002The authentication token is invalid401
REC_11003The authentication does not authorize this request403
REC_11004InstitutionId is invalid or incorrectly configured400
REC_12001Request should only contain printable ASCII characters400
REC_12002Request is missing a transactionId header400
REC_12003Request transactionId header is too long400
REC_12004Required fields are not provided or not valid400
REC_12005Request cannot be blank400
REC_12006Recipient id cannot be blank400
REC_12007Provider type cannot be blank400
REC_12008Invalid provider type400
REC_12009Invalid email400
REC_12010Recipient ids from request and URL do not match400
REC_12011Request field length exceeds max length400
REC_12012Account type is not from the list of allowed types400
REC_12013Sender account id cannot be blank400
REC_12014Request header is too long400
REC_12015Some fields in the request body are not supported for the configured provider type400
REC_13001This recipient already exists400
REC_13002This recipient nickname already exists400
REC_14001Recipient not added to the database successfully500
REC_14002Recipient not deleted successfully500
REC_14003Error while fetching recipients from database500
REC_14004Recipient not found400
REC_14005Error while updating recipient information400, 401, or 500
REC_22001Internal validation error500
REC_99997Client error400
REC_99998Server cannot handle this request400, 404, or 405
REC_99999Server error500

Endpoints